- name: "Create metal3 shared directory for ironic"
  delegate_to: "{{ groups[rke2_servers_group_name].0 }}"
  file:
    path: "/metal3/shared/html/images/5ded8d27"
    state: directory
  become: true
#- name: "Copy local cloud image"
#  ansible.builtin.copy:
#    src: "/home/sean/git/gitlab/infra/ubuntu-cloud-image/ubuntu.img"
#    dest: "/metal3/shared/html/images/2c5be38/ubuntu.img"
#- name: "Copy local cloud image hash"
#  ansible.builtin.copy:
#    src: "/home/sean/git/gitlab/infra/ubuntu-cloud-image/SHA256SUMS"
#    dest: "/metal3/shared/html/images/2c5be38/SHA256SUMS"
- name: "Download ubuntu cloud image"
  delegate_to: "{{ groups[rke2_servers_group_name].0 }}"
  ansible.builtin.get_url:
    url: "https://gitlab.com/datach17d/infra/ubuntu-cloud-image/-/package_files/64991571/download"
    dest: "/metal3/shared/html/images/5ded8d27/ubuntu.img"
- name: "Download ubuntu cloud image hash"
  delegate_to: "{{ groups[rke2_servers_group_name].0 }}"
  ansible.builtin.get_url:
    url: "https://gitlab.com/datach17d/infra/ubuntu-cloud-image/-/package_files/64991572/download"
    dest: "/metal3/shared/html/images/5ded8d27/SHA256SUMS"
- name: "Download ironic-python-agent"
  delegate_to: "{{ groups[rke2_servers_group_name].0 }}"
  ansible.builtin.get_url:
    url: "https://images.rdoproject.org/centos9/master/rdo_trunk/current-tripleo/ironic-python-agent.tar"
    dest: "/metal3/shared/html/images/ironic-python-agent.tar"
- name: "Extract ironic-python-agent"
  delegate_to: "{{ groups[rke2_servers_group_name].0 }}"
  ansible.builtin.unarchive:
    src: "/metal3/shared/html/images/ironic-python-agent.tar"
    dest: "/metal3/shared/html/images"
    remote_src: yes
#- name: "Download ipa kernel"
#  delegate_to: "{{ groups[rke2_servers_group_name].0 }}"
#  ansible.builtin.get_url:
#    url: "https://tarballs.opendev.org/openstack/ironic-python-agent/dib/files/ipa-centos8-stable-yoga.kernel"
#    dest: "/metal3/shared/html/images/ironic-python-agent.kernel"
#- name: "Download ipa initramfs"
#  delegate_to: "{{ groups[rke2_servers_group_name].0 }}"
#  ansible.builtin.get_url:
#    url: "https://tarballs.opendev.org/openstack/ironic-python-agent/dib/files/ipa-centos8-stable-yoga.initramfs"
#    dest: "/metal3/shared/html/images/ironic-python-agent.initramfs"
